Barracuda SSL VPN 480 Script Insertion

2012-01-16T00:00:00
ID PACKETSTORM:108717
Type packetstorm
Reporter Benjamin Kunz Mejri
Modified 2012-01-16T00:00:00

Description

                                        
                                            `Title:  
======  
Barracuda SSL VPN 480 - Multiple Web Vulnerabilities  
  
  
Date:  
=====  
2012-01-12  
  
  
References:  
===========  
http://www.vulnerability-lab.com/get_content.php?id=35  
  
  
VL-ID:  
=====  
35  
  
  
Introduction:  
=============  
The Barracuda SSL VPN is an integrated hardware and software solution enabling secure, clientless remote   
access to internal network resources from any Web browser. Designed for remote employees and road warriors,   
the Barracuda SSL VPN provides comprehensive control over file systems and Web-based applications requiring   
external access. The Barracuda SSL VPN integrates with third-party authentication mechanisms to control user   
access levels and provides single sign-on.   
  
Barracuda SSL VPN   
  
* Enables access to corporate intranets, file systems or other Web-based applications  
* Tracks resource access through auditing and reporting facilities  
* Scans uploaded files for viruses and malware  
* Leverages multi-factor, layered authentication mechanisms, including RSA SecurID and VASCO tokens  
* Integrates with existing Active Directory and LDAP directories  
* Utilizes policies for granular access control framework  
* Supports any Web browser on PC or Mac  
  
(Copy of the Vendor Homepage: http://www.barracudanetworks.com/ns/products/sslvpn.php)  
  
  
Abstract:  
=========  
Vulnerability-lab Team discovered multiple persistent Web Vulnerabilities on the Barracudas SSL VPN 480 appliance.  
  
  
  
Report-Timeline:  
================  
2011-04-02: Vendor Notification  
2011-05-07: Vendor Response/Feedback  
2011-12-18: Vendor Fix/Patch  
2012-01-12: Public or Non-Public Disclosure  
  
  
Status:  
========  
Published  
  
  
Exploitation-Technique:  
=======================  
Remote  
  
  
Severity:  
=========  
Medium  
  
  
Details:  
========  
Multiple persistent Input Validation vulnerabilities are detected on Barracudas SSL VPN 480. Local low privileged user account can  
implement/inject malicious persistent script code. When exploited by an authenticated user, the identified vulnerabilities   
can lead to information disclosure, access to intranet available servers, manipulated persistent content.  
  
Vulnerable Module(s):   
[+] Create Personal Network Place   
[+] Network Places 6 Create Network Places  
[+] SSL Tunnels & My Favorites  
  
Affected Product(s):  
[+] Barracuda SSL VPN 480 - Firmware v2.0.1.019 & older versions  
  
Picture(s):  
../ive1.png  
../ive2.png  
  
  
Proof of Concept:  
=================  
The vulnerabilities can be exploited by local low privileged user accounts or remote attackers with via high user inter action. For demonstration or reproduce ...  
  
1. Login  
2. Open the vulnerable area were the persistent vulnerability is located  
3. Include/Insert your own script code and save the content to inject  
4. View the injected results which were stored on application side. The code is getting executed in the listing output section  
  
  
Solution:  
=========  
2011-12-18: Vendor Fix/Patch  
  
  
Risk:  
=====  
The security risk of the persistent vulnerabilities are estimated as medium(+).  
  
  
Credits:  
========  
Vulnerability Research Laboratory - Benjamin Kunz Mejri (Rem0ve)  
  
  
Disclaimer:  
===========  
The information provided in this advisory is provided as it is without any warranty. Vulnerability-Lab disclaims all warranties,   
either expressed or implied, including the warranties of merchantability and capability for a particular purpose. Vulnerability-  
Lab or its suppliers are not liable in any case of damage, including direct, indirect, incidental, consequential loss of business   
profits or special damages, even if Vulnerability-Lab or its suppliers have been advised of the possibility of such damages. Some   
states do not allow the exclusion or limitation of liability for consequential or incidental damages so the foregoing limitation   
may not apply. Any modified copy or reproduction, including partially usages, of this file requires authorization from Vulnerability-  
Lab. Permission to electronically redistribute this alert in its unmodified form is granted. All other rights, including the use of   
other media, are reserved by Vulnerability-Lab or its suppliers.  
  
Copyright © 2011|Vulnerability-Lab  
  
--   
Website: www.vulnerability-lab.com ; vuln-lab.com or vuln-db.com  
Contact: admin@vulnerability-lab.com or support@vulnerability-lab.com  
  
`